campaign_log_uuid in the query params to filter messages sent out on your campaign. The campaign_log_uuid appears in the campaign object under campaign_logscurl --location --globoff 'https://api.sudonum.com.com/v2/whatsapp/messages/?campaign_log_uuid={{campaign_log_uuid}}'{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"uuid": "1186d26f-bbb1-481b-872f-cdea91a92678",
"type": "TEMPLATE",
"status": "READ",
"status_description": "",
"whatsapp_number": "2760",
"direction": "OUTBOUND",
"from_whatsapp_number": "2760....",
"to_whatsapp_number": "27800000001",
"message_data": {
"components": [
{
"type": "body",
"parameters": [
{
"text": "123",
"type": "text"
},
{
"text": "456",
"type": "text"
},
{
"text": "567",
"type": "text"
},
{
"text": "678",
"type": "text"
}
]
}
],
"language_code": "en",
"template_name": "lead_template"
},
"meta_data": {},
"context_data": {
"campaign_log_uuid": "1e5174d3-3df3-42d7-a662-a800bce7c6ad"
},
"created": "2024-04-18T11:51:48.364680Z",
"modified": "2024-04-18T11:51:57.268720Z"
}
]
}